// DOCVIEW.H

// This is the main window class.
class CMainWin : public CFrameWnd
{
  DECLARE_DYNCREATE(CMainWin)
protected:
	CSplitterWnd m_wndSplitter;
public:
  CMainWin();
  BOOL OnCreateClient(LPCREATESTRUCT lpcs,CCreateContext *pContext);

  DECLARE_MESSAGE_MAP()
};

// This is the application class.
class CApp : public CWinApp
{
public: 
  BOOL InitInstance();

  DECLARE_MESSAGE_MAP()
};

// This is the document class.
class CSampleDoc : public CDocument
{
  DECLARE_DYNCREATE(CSampleDoc)
  int m_LocIndex;
  CPoint m_Locations[MAXLOC];
public:
  CSampleDoc();
 
  afx_msg void OnUndo();
  afx_msg void OnReset();
  afx_msg void OnHelp();

  BOOL OnNewDocument();
  void Serialize(CArchive &arch);

  DECLARE_MESSAGE_MAP()
};

// This is the view class.
class CSampleView : public CView
{
  DECLARE_DYNCREATE(CSampleView)
public:
  void OnDraw(CDC *DC);
  afx_msg void OnLButtonDown(UINT flags, CPoint);

  DECLARE_MESSAGE_MAP()
};


class MyView:public CView
{
  DECLARE_DYNCREATE(MyView)
public:
  void OnDraw(CDC *DC);
  afx_msg void OnLButtonDown(UINT flags, CPoint);

  DECLARE_MESSAGE_MAP()
};